Last Comment Bug 723863 - Standalone Message window toolbar doesn't show personas
: Standalone Message window toolbar doesn't show personas
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 02:40 PST by Mark Banner (:standard8)
Modified: 2012-02-14 12:09 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
Patch (1.15 KB, patch)
2012-02-03 12:13 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-02-03 02:40:34 PST
The toolbar of the standalone message window isn't showing the personas background. On the mac it just has a grey background.

The titlebar does show personas, so this looks a little strange.
Comment 1 Richard Marti (:Paenglab) 2012-02-03 12:13:03 PST
Created attachment 594267 [details] [diff] [review]
Patch

This patch sets the toolbar's -moz-appearance to toolbar in standalone window only when no persona is enabled. I also removed the gradient with personas enabled which is shown when the appearance isn't toolbar.

And I moved the definitions to messageWindow.css where standalone window definitions make more sense (IMHO).
Comment 2 Blake Winton (:bwinton) (:☕️) 2012-02-03 12:29:13 PST
Comment on attachment 594267 [details] [diff] [review]
Patch

Yep, I like it, and it makes sense to me.  :)

r=me, ui-r=me.

Thanks,
Blake.
Comment 3 Mark Banner (:standard8) 2012-02-13 13:02:23 PST
Checked in: http://hg.mozilla.org/comm-central/rev/96284abe691b

Note You need to log in before you can comment on or make changes to this bug.